## com.baidubce.services.ses.model
Class SendEmailRequest.Mail

    java.lang.Object
      com.baidubce.services.ses.model.SendEmailRequest.Mail

Enclosing class:
  SendEmailRequest

    public static class SendEmailRequest.Mail

extends Object

The class of mail body

Nested Class Summary
`static class` `SendEmailRequest.Mail.Attachment`
`static class` `SendEmailRequest.Mail.Destination` The recipient object.
`static class` `SendEmailRequest.Mail.Message`
`static class` `SendEmailRequest.Mail.Source` The sender object of email.
`static class` `SendEmailRequest.Mail.Subject`

Constructor Summary
`SendEmailRequest.Mail()`
`SendEmailRequest.Mail(SendEmailRequest.Mail.Source source, SendEmailRequest.Mail.Destination destination, SendEmailRequest.Mail.Subject subject, Integer priority, SendEmailRequest.Mail.Message message)`

Method Summary
`List<SendEmailRequest.Mail.Attachment>` `getAttachments()`
`SendEmailRequest.Mail.Destination` `getDestination()`
`SendEmailRequest.Mail.Message` `getMessage()`
`Integer` `getPriority()`
`SendEmailRequest.Mail.Source` `getSource()`
`SendEmailRequest.Mail.Subject` `getSubject()`
`void` `setAttachments(List<SendEmailRequest.Mail.Attachment> attachments)`
`void` `setDestination(SendEmailRequest.Mail.Destination destination)`
`void` `setMessage(SendEmailRequest.Mail.Message message)`
`void` `setPriority(Integer priority)`
`void` `setSource(SendEmailRequest.Mail.Source source)`
`void` `setSubject(SendEmailRequest.Mail.Subject subject)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SendEmailRequest.Mail

    public SendEmailRequest.Mail()

### SendEmailRequest.Mail

    public SendEmailRequest.Mail(SendEmailRequest.Mail.Source source,
                                 SendEmailRequest.Mail.Destination destination,
                                 SendEmailRequest.Mail.Subject subject,
                                 Integer priority,
                                 SendEmailRequest.Mail.Message message)

Method Detail

### getSource

    public SendEmailRequest.Mail.Source getSource()

### setSource

    public void setSource(SendEmailRequest.Mail.Source source)

### getDestination

    public SendEmailRequest.Mail.Destination getDestination()

### setDestination

    public void setDestination(SendEmailRequest.Mail.Destination destination)

### getSubject

    public SendEmailRequest.Mail.Subject getSubject()

### setSubject

    public void setSubject(SendEmailRequest.Mail.Subject subject)

### getPriority

    public Integer getPriority()

### setPriority

    public void setPriority(Integer priority)

### getMessage

    public SendEmailRequest.Mail.Message getMessage()

### setMessage

    public void setMessage(SendEmailRequest.Mail.Message message)

### getAttachments

    public List<SendEmailRequest.Mail.Attachment> getAttachments()

### setAttachments

    public void setAttachments(List<SendEmailRequest.Mail.Attachment> attachments)

Copyright © 2016. All rights reserved.